Support » Plugin: WP Docs » Add Files

Viewing 5 replies - 16 through 20 (of 20 total)
  • Plugin Author Fahad Mahmood

    (@fahadmahmood)

    @ronaldz lets wait for the other users because almost 500+ users are using this at the moment. @sannea if you are comfortable so please join us on demo website so we can test it in details with you.

    Hi, I removed the database, removed all folders and WP files so it was a virgin domain.
    (no changed were done in hosting settings or anything like that)
    Installed WP 4.9.16 DE; WP Docs works as designed.
    Updated to 5.6-en US; WP Docs works as designed.

    My 2 cents: it’s this Elementor plugin which is too greedy so needed CSS and JS files for WP Docs are not installed or simply ignored/overruled.
    I hope you can recreate the error and maybe resolve it for other users scrolling this thread.

    mahassinemedamine

    (@mahassinemedamine)

    the problem concern an error found in wpdocs_settings.php line 282
    with this function wpdocs_get_user_roles_options which block the loading of the js files for media-editor.js and so on
    here is the stack tarce
    <select name=”wpdocs_options[allowed_role]” data-name=”allowed_role” id=”wpdocs_options_allowed_role” multiple placeholder=”Select roles to allow upload”>

    <br />
    <b>Fatal error</b>: Uncaught TypeError: Argument 1 passed to wpdocs_get_user_roles_options() must be of the type array, null given, called in C:\laragon\www\www.esttm-gabon\wp-content\plugins\wp-docs\inc\wpdocs_settings.php on line 282 and defined in C:\laragon\www\www.esttm-gabon\wp-content\plugins\wp-docs\inc\functions.php:102
    Stack trace:
    #0 C:\laragon\www\www.esttm-gabon\wp-content\plugins\wp-docs\inc\wpdocs_settings.php(282): wpdocs_get_user_roles_options(NULL)
    #1 C:\laragon\www\www.esttm-gabon\wp-content\plugins\wp-docs\inc\functions.php(355): include_once(‘C:\\laragon\\www\\…’)
    #2 C:\laragon\www\www.esttm-gabon\wp-includes\class-wp-hook.php(287): wpdocs_settings(”)
    #3 C:\laragon\www\www.esttm-gabon\wp-includes\class-wp-hook.php(311): WP_Hook->apply_filters(”, Array)
    #4 C:\laragon\www\www.esttm-gabon\wp-includes\plugin.php(484): WP_Hook->do_action(Array)
    #5 C:\laragon\www\www.esttm-gabon\wp-admin\admin.php(259): do_action(‘settings_page_w…’)
    #6 C:\laragon\www\www.esttm-gabon\wp-admin\options-general.php(10): require_ in <b>C:\laragon\www\www.esttm-gabon\wp-content\plugins\wp-docs\inc\functions.php</b> on line <b>102</b><br />

    ibulbworksupport

    (@ibulbworksupport)

    @mahassinemedamine we will take care of it.

    Thanks for reporting.

    ibulbworksupport

    (@ibulbworksupport)

    @mahassinemedamine please try the latest version.

Viewing 5 replies - 16 through 20 (of 20 total)
  • You must be logged in to reply to this topic.